<?php
include 'db.php';

$data=array();
$tipouser=$data2['tipouser'];

if(!isset($_GET['textobuscar'])){
//Busqueda sin cluster
if(($cluster=== "PRINCIPAL") && ($tipouser==6 || $tipouser==7 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO` = 1 ORDER BY `FECHALLEG`, `ES` ASC");
}

else if(($cluster=== "PRINCIPAL") && ($tipouser==8 || $tipouser==12 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO` = 1 AND `TACCESOV`= 'VEHICULAR' ORDER BY `FECHALLEG`, `ES` ASC");
}

else if(($cluster=== "PRINCIPAL") && ($tipouser==9 || $tipouser==14 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO` = 1 AND `TACCESOV`= 'PEATONAL' ORDER BY `FECHALLEG`, `ES` ASC");
}
//termina busqueda sin cluster

else if(($cluster!= "PRINCIPAL") && ($tipouser==6 || $tipouser==7 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `cluster`= '$cluster' AND `STATUSACCESO` = 1 ORDER BY `FECHALLEG`, `ES` ASC");
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==8 || $tipouser==12 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `cluster`= '$cluster' AND `TACCESOV`= 'VEHICULAR' AND `STATUSACCESO` = 1 ORDER BY `FECHALLEG`, `ES` ASC");
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==9 || $tipouser==14 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `cluster`= '$cluster' AND `TACCESOV`= 'PEATONAL' AND `STATUSACCESO` = 1 ORDER BY `FECHALLEG`, `ES` ASC");
}
while ($row=mysqli_fetch_object($q)){
 $data[]=$row;
}
}
else{
//Variables a buscar
$textobuscar = $_GET['textobuscar'];

if(($cluster=== "PRINCIPAL") && ($tipouser==6 || $tipouser==7 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO`=1 AND (`NAMECV` LIKE '%$textobuscar%' OR `ASUNTO` LIKE '%$textobuscar%' OR `PLACASV`= '$textobuscar' OR `ACCESOV` = '$textobuscar')");
}
else if(($cluster=== "PRINCIPAL") && ($tipouser==8 || $tipouser==12 ) ){
 $q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO`=1 AND `TACCESOV`= 'VEHICULAR' AND (`NAMECV` LIKE '%$textobuscar%' OR `ASUNTO` LIKE '%$textobuscar%' OR `PLACASV`= '$textobuscar' OR `ACCESOV` = '$textobuscar')");  
 } 
 else if(($cluster=== "PRINCIPAL") && ($tipouser==9 || $tipouser==14 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO`=1 AND `TACCESOV`= 'PEATONAL' AND (`NAMECV` LIKE '%$textobuscar%' OR `ASUNTO` LIKE '%$textobuscar%' OR `PLACASV`= '$textobuscar' OR `ACCESOV` = '$textobuscar')");
} 
else if(($cluster!= "PRINCIPAL") && ($tipouser==6 || $tipouser==7 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO`=1 AND `cluster`= '$cluster' AND (`NAMECV` LIKE '%$textobuscar%' OR `ASUNTO` LIKE '%$textobuscar%' OR `PLACASV`= '$textobuscar' OR `ACCESOV` = '$textobuscar')");
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==8 || $tipouser==12 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO`=1 AND `TACCESOV`= 'VEHICULAR' AND `cluster`= '$cluster' AND (`NAMECV` LIKE '%$textobuscar%' OR `ASUNTO` LIKE '%$textobuscar%' OR `PLACASV`= '$textobuscar' OR `ACCESOV` = '$textobuscar')");
}
else if(($cluster!= "PRINCIPAL") && ($tipouser==9 || $tipouser==14 ) ){
$q=mysqli_query($conn, "SELECT `ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y') AS 'FECHALLEG', CASE WHEN `ES`= 'EMPRESA' THEN `ASUNTO` ELSE `NAMECV` END AS 'NAMECT', `TPASEV`, `TACCESOV`, `ES` FROM `invitacionqr` WHERE `STATUSACCESO`=1 AND `TACCESOV`= 'PEATONAL' AND `cluster`= '$cluster' AND (`NAMECV` LIKE '%$textobuscar%' OR `ASUNTO` LIKE '%$textobuscar%' OR `PLACASV`= '$textobuscar' OR `ACCESOV` = '$textobuscar')");
}

while ($row=mysqli_fetch_object($q)){
 $data[]=$row;
}
}

echo json_encode($data);

?>

